Index: GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/include/GameToolsParticleDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/include/GameToolsParticleDemo.h	(revision 2175)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/include/GameToolsParticleDemo.h	(revision 2260)
@@ -140,4 +140,7 @@
 		createPostproc();
 
+		std::string occlusion_cfg("OcclusionCulling.cfg");
+		mSceneMgr->setWorldGeometry(occlusion_cfg);
+		
 		OgreIlluminationManager::getSingleton().setMainCamera(mCamera);
 		OgreIlluminationManager::getSingleton().setMainViewport(mWindow->getViewport(0));
Index: GTP/trunk/App/Demos/Illum/Ogre/src/PRMDemo/include/PRMDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/PRMDemo/include/PRMDemo.h	(revision 2247)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/PRMDemo/include/PRMDemo.h	(revision 2260)
@@ -100,6 +100,6 @@
 	void chooseSceneManager()
 	{
-		mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
-		//mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
+		//mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
+		mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
 	}
 
@@ -219,6 +219,6 @@
 	void createScene(void) ///PATHMAP Hangar
     {
-		//std::string occlusion_cfg("OcclusionCulling.cfg");
-		//mSceneMgr->setWorldGeometry(occlusion_cfg);
+		std::string occlusion_cfg("OcclusionCulling.cfg");
+		mSceneMgr->setWorldGeometry(occlusion_cfg);
 		
 		//createPostproc();
Index: GTP/trunk/App/Demos/Illum/Ogre/src/DiffuseTest/include/DiffuseTest.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/DiffuseTest/include/DiffuseTest.h	(revision 2179)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/DiffuseTest/include/DiffuseTest.h	(revision 2260)
@@ -361,5 +361,5 @@
 		ResourceGroupManager::getSingleton().initialiseResourceGroup("PostProc");
 		ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_Basic");
-	//	ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_Diffuse");
+		ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_Diffuse");
 	}
 
@@ -379,6 +379,6 @@
 	void chooseSceneManager()
 	{
-		mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
-		//mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
+		//mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
+		mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
 	}
     
@@ -401,5 +401,6 @@
 	void createScene(void)
     {
-
+		std::string occlusion_cfg("OcclusionCulling.cfg");
+		mSceneMgr->setWorldGeometry(occlusion_cfg);
 		//createPostproc();
 		
@@ -660,6 +661,6 @@
 
      	Entity* object = mSceneMgr->createEntity("object", "buddha.mesh");
-		//object->setMaterialName("GTP/Diffuse/Disc2Point");
-		//object->setMaterialName("GameTools/DiffuseP2P");
+		object->setMaterialName("GTP/Diffuse/Disc2Point");
+		//object->setMaterialName("GTP/Diffuse/Poly2Point");
 		objectNode = rootNode->createChildSceneNode();
 		objectNode->attachObject(object);
Index: GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h	(revision 2175)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h	(revision 2260)
@@ -192,6 +192,6 @@
 	void chooseSceneManager()
 	{
-		mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
-		//mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
+		//mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
+		mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
 	}
 
@@ -199,4 +199,7 @@
     {
 		createPostproc();
+		
+		std::string occlusion_cfg("OcclusionCulling.cfg");
+		mSceneMgr->setWorldGeometry(occlusion_cfg);
 		
 		OgreIlluminationManager::getSingleton().setMainCamera(mCamera);