Index: GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgreFocusingMapRenderingRun.h
===================================================================
--- GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgreFocusingMapRenderingRun.h	(revision 2251)
+++ GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgreFocusingMapRenderingRun.h	(revision 2264)
@@ -23,6 +23,7 @@
 	/**
 		@brief Constructor.
-
-		
+		@param name				the name of the focusing map texture to be created
+		@param lightMatrix      the light matrix to be focused
+		@param focusingMapSize  size of the focusing map		
 	*/	
 	OgreFocusingMapRenderingRun(String name,
@@ -33,15 +34,26 @@
 	*/
 	String getFocusingTextureName(){return name;}
+	/**
+		@brief gets the boundig box min-max points
+
+		These values are given in light space and can be used to adjust the light matrices to focuse on important objects only.
+	*/
 	void getMinMax(Vector3& min, Vector3& max);
+	/**
+		@brief Sets the light matrix that should be  focused.
+	*/
 	void setLightMatrix(Matrix4 &m){this->lightMatrix = m;}
+	/**
+		@brief Sets the player camera matrices.		
+	*/
 	void setCameraMatrices(const Matrix4 &view, const Matrix4 &projection);
 	
 protected:
 	/**
-		@brief pointer to the player's viewport	
+		@brief light matrix to be focused	
 	*/
 	Matrix4 lightMatrix;
 	/**
-		@brief pointer to the player's camera	
+		@brief fosusing map camera	
 	*/
 	Camera* camera;
@@ -55,11 +67,16 @@
 	*/
 	Texture* focusingTexture;
+	/**
+		@brief the size of the focusing map
+	*/
 	unsigned int focusingMapSize;
 
 	//inherited
 	void updateFrame(unsigned long frameNum);	
-	
+	/**
+		@brief creates the focusing map texture
+	*/
 	inline void createFocusingMap();
-
+	//inherited
 	bool needUpdate(unsigned long frameNum )
 	{
Index: GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgreSceneCameraDepthRenderingRun.h
===================================================================
--- GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgreSceneCameraDepthRenderingRun.h	(revision 790)
+++ GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgreSceneCameraDepthRenderingRun.h	(revision 2264)
@@ -14,5 +14,5 @@
 
 /**
-	@brief ColorCubeMapRenderingRun used in an OGRE environment.
+	@brief SceneCameraDepthRenderingRun used in an OGRE environment.
 */
 class OgreSceneCameraDepthRenderingRun : public OgreRenderingRun,
@@ -25,5 +25,5 @@
 
 		@param sharedRuns		a pointer to the OgreSharedRuns this run belongs to
-		@param name				the name of the scene depth texture to be created
+		@param name				the name of the depth texture to be created
 		@param playerView		pointer to the player's viewport	
 	*/	
Index: GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgreLightVolumeRenderingRun.h
===================================================================
--- GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgreLightVolumeRenderingRun.h	(revision 2041)
+++ GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgreLightVolumeRenderingRun.h	(revision 2264)
@@ -14,5 +14,5 @@
 
 /**
-	@brief ColorCubeMapRenderingRun used in an OGRE environment.
+	@brief LightVolumeRenderingRun used in an OGRE environment.
 */
 class OgreLightVolumeRenderingRun : public OgreRenderingRun,
@@ -25,9 +25,9 @@
 
 		@param sharedRuns			a pointer to the OgreSharedRuns this run belongs to
-		@param name					the name of the texture to be created
+		@param name					the name of the light volume texture to be created
 		@param startFrame			adds an offset to the current frame number to help evenly distribute updates between frames
 		@param updateInterval		update frequency
-		@param resolution			color cubemap resolution
-		@param materialName			the name of the material should be used when rendering the choton hit map
+		@param resolution			light volume texture resolution
+		@param materialName			the name of the material should be used when rendering the light volume
 	*/	
 	OgreLightVolumeRenderingRun(OgreSharedRuns* sharedRuns,
@@ -39,5 +39,5 @@
 								String materialName);
 	/**
-		@brief returns the name of the resulting photon hit map
+		@brief returns the name of the resulting light volume texture
 	*/
 	String getLightVolumeTextureName()
@@ -52,5 +52,7 @@
 	*/
 	void refreshLight();
-
+	/**
+		@brief Returns the light matrix used while rendering the light volume.
+	*/
 	Matrix4 getLightViewProjectionMatrix()
 	{
@@ -68,13 +70,13 @@
 protected:	
 	/**
-		@brief the name of the material should be used when rendering the choton hit map
+		@brief the name of the material should be used when rendering the light volume
 	*/
 	String materialName;
 	/**
-		@brief pointer to the nearest light source from the caster object
+		@brief pointer to the nearest light source to the particle system
 	*/
 	Light* light;
 	/**
-		@brief the created photon hit map texture
+		@brief pointer to the camera used while rendering the light volume
 	*/
 	Camera* lightVolumeCamera;
@@ -84,21 +86,20 @@
 	OgreSharedRuns* sharedRuns;
 	/**
-		@brief the name of the photonmap texture that was created by this run
+		@brief the name of the light volume texture that was created by this run
 	*/
 	String name;
-	/**
-		@brief a pointer to the photonmap texture that was created by this run
-	*/
+	
 	Texture* lightVolumeTexture;
 	Texture* lightVolumeTexture2;
 	Texture* lightVolumeTextureThis;
 	Texture* lightVolumeTextureLast;
+	
+	Texture* lightVolumeTexture3D;
+
+	unsigned char* volumeBuffer;
 	/**
-		@brief a pointer to the photonmap texture that was created by this run
+		@brief the radius of the particle system
 	*/
-	Texture* lightVolumeTexture3D;
-	unsigned char* volumeBuffer;
 	float systemRadius;	
-
 	void createVolumeBuffer();
 	
Index: GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgrePMWeightComputeRenderingRun.h
===================================================================
--- GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgrePMWeightComputeRenderingRun.h	(revision 2200)
+++ GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgrePMWeightComputeRenderingRun.h	(revision 2264)
@@ -13,5 +13,8 @@
 
 /**
-	@brief ColorCubeMapRenderingRun used in an OGRE environment.
+	@brief Weight computing rendering run.
+
+	This run is used in the pathmap technique. 
+	It creates a texture for a light source that stores the weights that should be used for each cluster of entry points.
 */
 class OgrePMWeightComputeRenderingRun : public OgreRenderingRun									
@@ -22,18 +25,23 @@
 		@brief Constructor.
 
-		
+        @param name the name of the weight texture to be created
+		@param LightName the name of the light source to use
 	*/	
 	OgrePMWeightComputeRenderingRun(String name, String LightName);
 	/**
-		@brief returns the name of the camera depth texture
+		@brief returns the name of the weight texture
 	*/
 	String getPMWeightTetureName(){return weightTexture->getName();}
+	//not used
 	float* getWeights(){return weights;}
 	
 protected:
 	/**
-		@brief pointer to the player's viewport	
+		@brief light view-projection matrix
 	*/
 	Matrix4 lightMatrix;
+	/**
+		@brief light view matrix
+	*/
 	Matrix4 lightViewMatrix;
 	/**
@@ -42,16 +50,26 @@
 	String name;
 	/**
-		@brief a pointer to the scene depth texture that was created by this run
+		@brief a pointer to the weight texture that was created by this run
 	*/
 	Texture* weightTexture;
+	/**
+		@brief A pointer to a texture that stores weights for all the entry point.
+
+		This texture will be used to determine the weights of the clusters.
+	*/
 	Texture* allWeightsTexture;
-	
+	/**
+		@brief A pointer to the light source.
+	*/
 	Light* light;
-
+	//not used
 	float* weights;
-
 	//inherited
 	void updateFrame(unsigned long frameNum);	
-	
+	/**
+		@brief Creates the weight texture.
+
+		It also creates the texture storing all weights. @see allWeightsTexture
+	*/
 	inline void createWeightMap();
 };
Index: GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgrePhaseTextureRenderingRun.h
===================================================================
--- GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgrePhaseTextureRenderingRun.h	(revision 1425)
+++ GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgrePhaseTextureRenderingRun.h	(revision 2264)
@@ -14,5 +14,5 @@
 
 /**
-	@brief ColorCubeMapRenderingRun used in an OGRE environment.
+	@brief PhaseTextureRenderingRun used in an OGRE environment.
 */
 class OgrePhaseTextureRenderingRun : public OgreRenderingRun,
@@ -24,10 +24,8 @@
 		@brief Constructor.
 
-		@param sharedRuns			a pointer to the OgreSharedRuns this run belongs to
-		@param name					the name of the depth map texture to be created
-		@param light				the light source this depth shadow map belongs to
-		@param resolutionX			the resolution width of the depth shadow map
-		@param resolutionY			the resolution height of the depth shadow map
-		@param materialName			the name of the material to be used when rendering the depth shadow map
+		@param name					the name of the phase texture to be created
+		@param resolutionX			the resolution width of the phase texture
+		@param resolutionY			the resolution height of the phase texture
+		@param materialName			the name of the material to be used when rendering the phase texture
 	*/	
 	OgrePhaseTextureRenderingRun(		String name,
@@ -37,5 +35,5 @@
 
 	/**
-		@brief returns the depth shadow map texture created by this run
+		@brief returns the name of thew phase texture created by this run
 	*/
 	String getPhaseTextureName(){return name;}
@@ -54,8 +52,14 @@
 	*/
 	Texture* phaseTexture;
+	/**
+		@brief a pointer to the camera that was used while rendering the phase texture
+	*/
 	Camera* phaseCamera;
 	
 	//inherited
 	void updateFrame(unsigned long frameNum);
+	/**
+		@brief Creates the phase texture.
+	*/
 	inline void createPhaseTexture();
 	
Index: GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgrePhotonMapRenderingRun.h
===================================================================
--- GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgrePhotonMapRenderingRun.h	(revision 1722)
+++ GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgrePhotonMapRenderingRun.h	(revision 2264)
@@ -14,5 +14,5 @@
 
 /**
-	@brief ColorCubeMapRenderingRun used in an OGRE environment.
+	@brief PhotonMapRenderingRun used in an OGRE environment.
 */
 class OgrePhotonMapRenderingRun : public OgreRenderingRun,
@@ -28,6 +28,6 @@
 		@param startFrame			adds an offset to the current frame number to help evenly distribute updates between frames
 		@param updateInterval		update frequency
-		@param resolution			color cubemap resolution
-		@param materialName			the name of the material should be used when rendering the choton hit map
+		@param resolution			photon map resolution
+		@param materialName			the name of the material should be used when rendering the photon hit map
 		@param useDistance			tells if a distance cubemap impostor should be used in photon hit calculation (recommended)
 	*/	
@@ -40,5 +40,5 @@
 								bool useDistance);
 	/**
-		@brief returns the name of the resulting photon hit map
+		@brief returns the name of the resulting photon hit map texture
 	*/
 	String getPhotonMapTextureName(){return name;}
@@ -47,5 +47,5 @@
 	*/
 	void refreshLight();
-
+	//inherited
 	bool canJoin(RenderingRun* run)
 	{
@@ -55,11 +55,12 @@
 		return false;
 	}
+	//inherited
 	void distanceCubeMapChanged(RenderingRun* run);
-	
+	//inherited	
 	void distanceCubeMapUpdated(RenderingRun* run);
 	
 protected:	
 	/**
-		@brief the name of the material should be used when rendering the choton hit map
+		@brief the name of the material should be used when rendering the photon hit map
 	*/
 	String materialName;
@@ -69,5 +70,5 @@
 	Light* light;
 	/**
-		@brief the created photon hit map texture
+		@brief the camera used while rendering the photon hit map
 	*/
 	Camera* photonMapCamera;
@@ -81,9 +82,9 @@
 	OgreSharedRuns* sharedRuns;
 	/**
-		@brief the name of the photonmap texture that was created by this run
+		@brief the name of the photon map texture that was created by this run
 	*/
 	String name;
 	/**
-		@brief a pointer to the photonmap texture that was created by this run
+		@brief a pointer to the photon map texture that was created by this run
 	*/
 	Texture* photonMapTexture;
Index: GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgrePMEntryPointMapRenderingRun.h
===================================================================
--- GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgrePMEntryPointMapRenderingRun.h	(revision 2200)
+++ GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgrePMEntryPointMapRenderingRun.h	(revision 2264)
@@ -13,5 +13,8 @@
 
 /**
-	@brief ColorCubeMapRenderingRun used in an OGRE environment.
+	@brief Entry point map computing run.
+
+	This map is used in the pathmap technique. It stores entry point positions and normals. 
+	This texture will be used to determine the amount of incoming light to an entry point. @see OgrePMWeightComputeRenderingRun
 */
 class OgrePMEntryPointMapRenderingRun : public OgreRenderingRun									
@@ -22,14 +25,20 @@
 		@brief Constructor.
 
-		
+		@param name the name of the entry point texture created ny this run
 	*/	
 	OgrePMEntryPointMapRenderingRun(String name);
 	/**
-		@brief returns the name of the camera depth texture
+		@brief returns the name of the entry point texture
 	*/
 	String getEntryPointTextureName(){return name;}
+	/**
+		@brief returns the name of the cluster length texture.
+
+		This texture stores the size (number of entripoints) of each entry point cluster.
+	*/
 	String getClusterLengthTextureName(){return clusterLengthTexture->getName();}
 	
 protected:
+
 	/**
 		@brief the name of the entry point texture that was created by this run
@@ -37,14 +46,21 @@
 	String name;
 	/**
-		@brief a pointer to the scene depth texture that was created by this run
+		@brief a pointer to the entry point texture that was created by this run
 	*/
 	Texture* entryPointTexture;
+	/**
+		@brief a pointer to the cluster length texture that was created by this run
+
+		This texture stores the size (number of entripoints) of each entry point cluster.
+	*/
 	Texture* clusterLengthTexture;
 	
 	//inherited
 	void updateFrame(unsigned long frameNum);	
-	
+	/**
+		@brief Creates and fills the entry point and the cluster length texture.
+	*/
 	inline void createEntryPointMap();
-
+	//inherited
 	bool needUpdate(unsigned long frameNum )
 	{
Index: GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgreDepthShadowMapRenderingRun.h
===================================================================
--- GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgreDepthShadowMapRenderingRun.h	(revision 2251)
+++ GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgreDepthShadowMapRenderingRun.h	(revision 2264)
@@ -49,39 +49,48 @@
 	void refreshLight(unsigned long frameNum);
 	/**
-		@brief retuns the view matrix of the camera from which the depth shadow map was created
+		@brief Retuns the view matrix of the camera from which the depth shadow map was created.
 	*/
 	Matrix4 getLightViewMatrix();
 	/**
-		@brief retuns the concatenation of the view and projection matrices of the camera from which the depth shadow map was created
+		@brief Retuns the concatenation of the view and projection matrices of the camera from which the depth shadow map was created.
 	*/
 	Matrix4 getLightViewProjMatrix();
+	/**
+		@brief Retuns the far plane of the light projection.
+	*/
 	Real getLightFarPlane(){return lightFarPlane;}
 
 protected:	
 	/**
-		@brief the light source this depth shadow map belongs to
+		@brief The light source this depth shadow map belongs to.
 	*/
 	Light* light;
 	/**
-		@brief pointer to the camera of the lightsource
+		@brief Pointer to the camera of the lightsource.
 	*/
 	Camera* depthMapCamera;
 	/**
-		@brief the name of the material to be used when rendering the depth shadow map
+		@brief The name of the material to be used when rendering the depth shadow map.
 	*/
 	String materialName;
 	/**
-		@brief a pointer to the OgreSharedRuns this run belongs to
+		@brief A pointer to the OgreSharedRuns this run belongs to.
 	*/
 	OgreSharedRuns* sharedRuns;
 	/**
-		@brief the name of the depth shadow map texture that was created by this run
+		@brief The name of the depth shadow map texture that was created by this run.
 	*/
 	String name;
+	/**
+		@brief The name of the blurred depth shadow map texture that was created by this run.
+	*/
 	String blurredname;
 	/**
-		@brief a pointer to the depth shadow texture that was created by this run
+		@brief A pointer to the depth shadow texture that was created by this run.
 	*/
 	Texture* depthMapTexture;
+	/**
+		@brief A pointer to the blurred depth shadow texture that was created by this run.
+	*/
 	Texture* blurredDepthMapTexture;
 	Real lightFarPlane;
Index: GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgreReducedCubeMapRenderingRun.h
===================================================================
--- GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgreReducedCubeMapRenderingRun.h	(revision 790)
+++ GTP/trunk/Lib/Illum/IllumModule/OgreIllumModule/include/RenderingRuns/OgreReducedCubeMapRenderingRun.h	(revision 2264)
@@ -14,5 +14,5 @@
 
 /**
-	@brief ColorCubeMapRenderingRun used in an OGRE environment.
+	@brief ReducedCubeMapRenderingRun used in an OGRE environment.
 */
 class OgreReducedCubeMapRenderingRun : public OgreRenderingRun,
@@ -47,5 +47,5 @@
 
 	/**
-		@brief returns the name of the resulting reduced sized color cubemap texture
+		@brief returns the name of the resulting downsampled color cubemap texture
 	*/
 	String& getReducedCubeMapTextureName(){return name;}
@@ -60,9 +60,9 @@
 	OgreSharedRuns* sharedRuns;
 	/**
-		@brief the name of the cubemap texture that was created by this run
+		@brief the name of the downsampled cubemap texture that was created by this run
 	*/
 	String name;
 	/**
-		@brief a pointer to the cubemap texture that was created by this run
+		@brief a pointer to the downsampled cubemap texture that was created by this run
 	*/
 	Texture* reducedCubemapTexture;