Index: GTP/trunk/App/Demos/Illum/Ogre/src/PRMDemo/include/PRMDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/PRMDemo/include/PRMDemo.h	(revision 2260)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/PRMDemo/include/PRMDemo.h	(revision 2267)
@@ -100,6 +100,6 @@
 	void chooseSceneManager()
 	{
-		//mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
-		mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
+		mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
+		//mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
 	}
 
@@ -220,5 +220,5 @@
     {
 		std::string occlusion_cfg("OcclusionCulling.cfg");
-		mSceneMgr->setWorldGeometry(occlusion_cfg);
+		//mSceneMgr->setWorldGeometry(occlusion_cfg);
 		
 		//createPostproc();
Index: GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h	(revision 2260)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h	(revision 2267)
@@ -192,14 +192,14 @@
 	void chooseSceneManager()
 	{
-		//mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
-		mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
+		mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
+		//mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
 	}
 
 	void createScene(void)
     {
-		createPostproc();
+		//createPostproc();
 		
 		std::string occlusion_cfg("OcclusionCulling.cfg");
-		mSceneMgr->setWorldGeometry(occlusion_cfg);
+		//mSceneMgr->setWorldGeometry(occlusion_cfg);
 		
 		OgreIlluminationManager::getSingleton().setMainCamera(mCamera);
@@ -227,5 +227,5 @@
 		Entity* centerHead = mSceneMgr->createEntity("centerHead", "head.mesh");
 		Entity* goldHead = mSceneMgr->createEntity("goldHead", "head.mesh");
-		Entity* silverHead = mSceneMgr->createEntity("silverHeade", "head.mesh");
+		Entity* silverHead = mSceneMgr->createEntity("silverHead", "head.mesh");
 		Entity* copperHead = mSceneMgr->createEntity("copperHead", "head.mesh");
 		Entity* aluHead = mSceneMgr->createEntity("aluHead", "head.mesh");
@@ -237,4 +237,31 @@
 		
 		//init nodes
+		centerSphereNode = rootNode->createChildSceneNode("centerSphere");
+		centerSphereNode->setPosition(0, 100,0);
+		centerSphereNode->attachObject(centerHead);
+		centerSphereNode->setScale(3.2, 3.2, 3.2);
+		
+		goldSphereNode = rootNode->createChildSceneNode( "goldSphere" );
+		goldSphereNode->scale(2.4, 2.4, 2.4);
+		goldSphereNode->attachObject(goldHead);
+		
+		silverSphereNode = rootNode->createChildSceneNode( "silverSphere" );
+		silverSphereNode->scale(2.4, 2.4, 2.4);
+		silverSphereNode->attachObject(silverHead);
+		
+		aluSphereNode = rootNode->createChildSceneNode( "aluSphere" );
+		aluSphereNode->scale(2.4, 2.4, 2.4);
+		aluSphereNode->attachObject(aluHead);
+		
+		copperSphereNode = rootNode->createChildSceneNode( "copperSphere" );
+		copperSphereNode->scale(2.4, 2.4, 2.4);
+		copperSphereNode->attachObject(copperHead);
+		
+		goldSphereNode->_updateBounds();
+		silverSphereNode->_updateBounds();
+		aluSphereNode->_updateBounds();
+		copperSphereNode->_updateBounds();
+
+		
 		kupolaNode = rootNode->createChildSceneNode( "kupola" );
 		kupolaNode->rotate(Vector3(0,1,0),Radian(Degree(90)));
@@ -243,32 +270,4 @@
 		//kupolaNode->scale(2,2,2);		
 		//kupolaNode->setPosition(0,100,0);
-
-		centerSphereNode = rootNode->createChildSceneNode("centerSphere");
-		centerSphereNode->setPosition(0, 100,0);
-		centerSphereNode->attachObject(centerHead);
-		centerSphereNode->setScale(3.2, 3.2, 3.2);
-		
-		goldSphereNode = rootNode->createChildSceneNode( "goldSphere" );
-		goldSphereNode->scale(2.4, 2.4, 2.4);
-		goldSphereNode->attachObject(goldHead);
-		
-		silverSphereNode = rootNode->createChildSceneNode( "silverSphere" );
-		silverSphereNode->scale(2.4, 2.4, 2.4);
-		silverSphereNode->attachObject(silverHead);
-		
-		aluSphereNode = rootNode->createChildSceneNode( "aluSphere" );
-		aluSphereNode->scale(2.4, 2.4, 2.4);
-		aluSphereNode->attachObject(aluHead);
-		
-		copperSphereNode = rootNode->createChildSceneNode( "copperSphere" );
-		copperSphereNode->scale(2.4, 2.4, 2.4);
-		copperSphereNode->attachObject(copperHead);
-		
-		goldSphereNode->_updateBounds();
-		silverSphereNode->_updateBounds();
-		aluSphereNode->_updateBounds();
-		copperSphereNode->_updateBounds();
-
-		
 		kupolaNode->_updateBounds();
 		centerSphereNode->_updateBounds();
Index: GTP/trunk/App/Demos/Illum/Ogre/src/CausticTest/include/CausticTest.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/CausticTest/include/CausticTest.h	(revision 2252)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/CausticTest/include/CausticTest.h	(revision 2267)
@@ -183,4 +183,5 @@
 		std::string occlusion_cfg("OcclusionCulling.cfg");
 		mSceneMgr->setWorldGeometry(occlusion_cfg);
+
 		//createPostproc();
 		OgreIlluminationManager::getSingleton().setBlurShadowMap(true);
@@ -210,5 +211,5 @@
 	//	Material* newMat = mat->clone(mat->getName() + "_new").getPointer();
 
-		sphere->setMaterialName("GTP/Caustic/Glass");
+		sphere->setMaterialName("GTP/Caustic/Glass_PointSprite");
 		sphereNode = rootNode->createChildSceneNode();
 		//sphereNode->setScale(0.1, 0.1, 0.1);//sphere