Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/IVReader/src/IVReader.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/IVReader/src/IVReader.vcproj	(revision 2254)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/IVReader/src/IVReader.vcproj	(revision 2278)
@@ -72,29 +72,39 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories="&quot;$(OGRE_PATH)\Dependencies\include\CEGUI&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\include&quot;;&quot;$(OGRE_PATH)\OgreMain\include&quot;;&quot;$(OGRE_PATH)\Dependencies\include&quot;;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;..\include"
-				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;IVREADER_EXPORTS;GTP_VISIBILITY_MODIFIED_OGRE;GAMETOOLS_ILLUMINATION_MODULE;USE_VERBOSE_PVS"
-				RuntimeLibrary="2"
-				UsePrecompiledHeader="0"
-				WarningLevel="3"
-				Detect64BitPortabilityProblems="TRUE"
-				DebugInformationFormat="3"/>
-			<Tool
-				Name="VCCustomBuildTool"/>
-			<Tool
-				Name="VCLinkerTool"
-				AdditionalDependencies="OgreMain.lib CEGUIBase.lib OgreGUIRenderer.lib"
-				OutputFile="$(OutDir)/IVReader.dll"
-				LinkIncremental="1"
-				AdditionalLibraryDirectories="&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\lib&quot;;&quot;..\..\GtpVisibility\lib\$(ConfigurationName)&quot;;&quot;..\..\lib\$(ConfigurationName)&quot;;&quot;..\lib\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\Dependencies\lib\$(ConfigurationName)&quot;"
-				GenerateDebugInformation="FALSE"
-				SubSystem="2"
-				OptimizeReferences="2"
-				EnableCOMDATFolding="2"
-				ImportLibrary="$(OutDir)/IVReader.lib"
-				TargetMachine="1"/>
-			<Tool
-				Name="VCMIDLTool"/>
-			<Tool
-				Name="VCPostBuildEventTool"/>
+				Optimization="3"
+				GlobalOptimizations="TRUE"
+				InlineFunctionExpansion="2"
+				EnableIntrinsicFunctions="TRUE"
+				FavorSizeOrSpeed="1"
+				OmitFramePointers="TRUE"
+				EnableFiberSafeOptimizations="TRUE"
+				OptimizeForWindowsApplication="TRUE"
+				AdditionalIncludeDirectories="&quot;$(OGRE_PATH)\Dependencies\include\CEGUI&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\include&quot;;&quot;$(OGRE_PATH)\OgreMain\include&quot;;&quot;$(OGRE_PATH)\Dependencies\include&quot;;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;..\include"
+				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;IVREADER_EXPORTS;GTP_VISIBILITY_MODIFIED_OGRE;GAMETOOLS_ILLUMINATION_MODULE"
+				RuntimeLibrary="2"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="TRUE"
+				DebugInformationFormat="3"/>
+			<Tool
+				Name="VCCustomBuildTool"/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="OgreMain.lib CEGUIBase.lib OgreGUIRenderer.lib"
+				OutputFile="$(OutDir)/IVReader.dll"
+				LinkIncremental="1"
+				AdditionalLibraryDirectories="&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\lib&quot;;&quot;..\..\GtpVisibility\lib\$(ConfigurationName)&quot;;&quot;..\..\lib\$(ConfigurationName)&quot;;&quot;..\lib\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\Dependencies\lib\$(ConfigurationName)&quot;"
+				GenerateDebugInformation="TRUE"
+				SubSystem="2"
+				OptimizeReferences="2"
+				EnableCOMDATFolding="2"
+				OptimizeForWindows98="1"
+				ImportLibrary="$(OutDir)/IVReader.lib"
+				TargetMachine="1"/>
+			<Tool
+				Name="VCMIDLTool"/>
+			<Tool
+				Name="VCPostBuildEventTool"
+				CommandLine="copy $(OutDir)\$(TargetFileName) &quot;$(OGRE_PATH)\Samples\Common\bin\$(ConfigurationName)&quot;"/>
 			<Tool
 				Name="VCPreBuildEventTool"/>
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/include/DummyPreprocessingManager.h
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/include/DummyPreprocessingManager.h	(revision 316)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/include/DummyPreprocessingManager.h	(revision 2278)
@@ -1,4 +1,5 @@
 #ifndef _VisibilityDummyPreprocessingManager_H__
 #define _VisibilityDummyPreprocessingManager_H__
+
 
 #include "PreprocessingManager.h"
@@ -18,5 +19,5 @@
       hierarchyInterface as argument. 
   */
-  DummyPreprocessingManager( HierarchyInterface *hierarchyInterface );
+  DummyPreprocessingManager(HierarchyInterface *hierarchyInterface);
   
   
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/include/VisibilityEnvironment.h
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/include/VisibilityEnvironment.h	(revision 1004)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/include/VisibilityEnvironment.h	(revision 2278)
@@ -18,4 +18,5 @@
     VisibilityEnvironment();
 	~VisibilityEnvironment();
+
 	/** Different types of occlusion culling algorithms 
 	*/
@@ -36,10 +37,7 @@
 	std::string getViewCellsFileName();
 
-	GtpVisibilityPreprocessor::Environment *GetPreprocessorEnvironment();
+	//GtpVisibilityPreprocessor::Environment *GetPreprocessorEnvironment();
+};
 
-
-protected:
-	//GtpVisibilityPreprocessor::Environment *Environment::GetSingleton();
-};
 } // namespace GtpVisibility
 
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/include/VisibilityManager.h
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/include/VisibilityManager.h	(revision 925)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/include/VisibilityManager.h	(revision 2278)
@@ -4,4 +4,5 @@
 #include "CullingManager.h"
 #include "VisibilityEnvironment.h"
+
 
 /** This namespace includes all classes which are created by the VUT (Vienna University
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/include/CullingManager.h
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/include/CullingManager.h	(revision 897)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/include/CullingManager.h	(revision 2278)
@@ -4,8 +4,10 @@
 #include "HierarchyInterface.h"
 
+
 namespace GtpVisibility {
 
 /** This abstract class implements an interface for a specific culling 
-	algorithm. The algorithm is either used to render a scene or to make a visibility query.
+	algorithm. The algorithm is either used to render a scene 
+	or to make a visibility query.
 */
 class CullingManager
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/src/VisibilityEnvironment.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/src/VisibilityEnvironment.cpp	(revision 2183)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/src/VisibilityEnvironment.cpp	(revision 2278)
@@ -1,5 +1,5 @@
 #include "VisibilityEnvironment.h"
-#include "common.h"
-#include "Environment.h"
+//#include "common.h"
+//#include "Environment.h"
 
 
@@ -10,12 +10,10 @@
 {
 	// HACK: loading debug stream should not happen here
-	GtpVisibilityPreprocessor::Debug.open("debug.log");
-	// load environment
-	//Environment::GetSingleton() = new GtpVisibilityPreprocessor::Environment::GetSingleton();	 
+	//GtpVisibilityPreprocessor::Debug.open("debug.log");
 }
 //-----------------------------------------------------------------------
 VisibilityEnvironment::~VisibilityEnvironment()
 {
-	GtpVisibilityPreprocessor::Environment::DelSingleton();
+	//GtpVisibilityPreprocessor::Environment::DelSingleton();
 }
 //-----------------------------------------------------------------------
@@ -23,5 +21,5 @@
 {		
 	//-- parse environment
-	return GtpVisibilityPreprocessor::Environment::GetSingleton()->ReadEnvFile(filename.c_str());
+	return false;//GtpVisibilityPreprocessor::Environment::GetSingleton()->ReadEnvFile(filename.c_str());
 }
 //-----------------------------------------------------------------------
@@ -29,5 +27,5 @@
 {
 	char str[200];
-	GtpVisibilityPreprocessor::Environment::GetSingleton()->GetStringValue("Scene.filename", str);
+	//GtpVisibilityPreprocessor::Environment::GetSingleton()->GetStringValue("Scene.filename", str);
 	return str;
 }
@@ -36,12 +34,13 @@
 {
 	char str[200];
-	GtpVisibilityPreprocessor::Environment::GetSingleton()->GetStringValue("ViewCells.filename", str);
+	//GtpVisibilityPreprocessor::Environment::GetSingleton()->GetStringValue("ViewCells.filename", str);
 	
 	return str;
 }
 //-----------------------------------------------------------------------
-GtpVisibilityPreprocessor::Environment *VisibilityEnvironment::GetPreprocessorEnvironment()
+/*GtpVisibilityPreprocessor::Environment *VisibilityEnvironment::GetPreprocessorEnvironment()
 {
 	return GtpVisibilityPreprocessor::Environment::GetSingleton();
-}
+}*/
+
 } // namespace GtpVisibility
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/src/VisibilityManager.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/src/VisibilityManager.cpp	(revision 2066)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/src/VisibilityManager.cpp	(revision 2278)
@@ -5,5 +5,5 @@
 #include "DummyPreprocessingManager.h"
 #include "DummyQueryManager.h"
-//#include "BatchedQueriesCullingManager.h"
+#include "RandomUpdateCullingManager.h"
 
 namespace GtpVisibility {
@@ -53,5 +53,4 @@
 		case VisibilityEnvironment::STOP_AND_WAIT_CULLING:
 			mCullingManager = new StopAndWaitCullingManager();
-				//new BatchedQueriesCullingManager();
 			break;
 
@@ -61,5 +60,6 @@
 
 		case VisibilityEnvironment::FRUSTUM_CULLING:
-			mCullingManager = new FrustumCullingManager();
+			//mCullingManager = new FrustumCullingManager();
+			mCullingManager = new RandomUpdateCullingManager();
 			break;
 
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/src/GtpVisibility.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/src/GtpVisibility.vcproj	(revision 2258)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/src/GtpVisibility.vcproj	(revision 2278)
@@ -71,6 +71,6 @@
 				OptimizeForProcessor="3"
 				OptimizeForWindowsApplication="TRUE"
-				AdditionalIncludeDirectories="..\include;&quot;$(OGRE_PATH)\OgreMain\include&quot;;..\..\Preprocessing\src"
-				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
+				AdditionalIncludeDirectories="..\include;&quot;$(OGRE_PATH)\OgreMain\include&quot;"
+				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;GTP_VISIBILITY_MODIFIED_OGRE;GAMETOOLS_ILLUMINATION_MODULE"
 				StringPooling="TRUE"
 				RuntimeLibrary="2"
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/src/RandomUpdateCullingManager.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/src/RandomUpdateCullingManager.cpp	(revision 2259)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/src/RandomUpdateCullingManager.cpp	(revision 2278)
@@ -106,10 +106,18 @@
 					continue;
 				}
-				
+				if (mHierarchyInterface->IsLeaf(node))
+				{
+					if (mHierarchyInterface->IsNodeVisible(node))
+						Ogre::LogManager::getSingleton().logMessage("u");
+					else
+						Ogre::LogManager::getSingleton().logMessage("g");
+				}
+
 				if (mHierarchyInterface->IsNodeFullyVisible(node))
-				{
+				{Ogre::LogManager::getSingleton().logMessage("here8");
 					// node fully visible => test only random leaves
 					for (int i = 0; i < mRandomCandidates; ++ i)
 					{
+						Ogre::LogManager::getSingleton().logMessage("z");
 						HierarchyNode *randomLeaf = mHierarchyInterface->GetRandomLeaf(node);
 
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/include/OgreOctreeHierarchyInterface.h
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/include/OgreOctreeHierarchyInterface.h	(revision 2259)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/include/OgreOctreeHierarchyInterface.h	(revision 2278)
@@ -16,5 +16,6 @@
 	
 	/** Sets the number of nodes in this octree 
-		@remark do not confuse this with the OctreeNode class which is derived from SceneNode
+		@remark do not confuse this with the OctreeNode class 
+		which is derived from SceneNode.
 		@param num number of nodes in the octree
 	*/
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreSceneContentGenerator.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreSceneContentGenerator.cpp	(revision 1264)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreSceneContentGenerator.cpp	(revision 2278)
@@ -157,9 +157,11 @@
 		return false;
 
-	//mSceneNodes.clear(); // reset list of objects
-
-	while (!ifstr.eof()) 
+	while (1)
 	{
 		ifstr.getline(line, 256);
+
+		if (ifstr.eof())
+			break;
+
 		sscanf(line, "%s %f %f %f %f %f %f %f %f %f %f", objName, 
 			&position.x, &position.y, &position.z,
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreTerrainContentGenerator.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreTerrainContentGenerator.cpp	(revision 164)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreTerrainContentGenerator.cpp	(revision 2278)
@@ -43,4 +43,5 @@
 	return false;
 }
+
 
 /*******************************************************/
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/Plugin_VisibilitySceneManager.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/Plugin_VisibilitySceneManager.vcproj	(revision 2255)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/Plugin_VisibilitySceneManager.vcproj	(revision 2278)
@@ -26,5 +26,5 @@
 				RuntimeLibrary="3"
 				EnableFunctionLevelLinking="TRUE"
-				RuntimeTypeInfo="TRUE"
+				RuntimeTypeInfo="FALSE"
 				UsePrecompiledHeader="2"
 				WarningLevel="3"
@@ -113,5 +113,5 @@
 				AdditionalLibraryDirectories="&quot;$(OGRE_PATH)\PlugIns\OctreeSceneManager\bin\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\lib&quot;;&quot;$(OGRE_PATH)\Dependencies\lib\$(ConfigurationName)&quot;;&quot;..\..\..\Preprocessing\lib\$(ConfigurationName)&quot;;..\..\..\..\..\..\..\NonGTP\Xerces\xercesc\lib;..\..\..\Preprocessing\src\GL;..\..\..\..\..\..\..\NonGTP\Zlib\lib;&quot;..\..\lib\$(ConfigurationName)&quot;;&quot;..\..\..\..\..\Lib\Vis\OnlineCullingCHC\IVReader\lib\$(ConfigurationName)&quot;;&quot;..\..\..\..\..\Lib\Vis\OnlineCullingCHC\ObjReader\lib\$(ConfigurationName)&quot;"
 				ModuleDefinitionFile="..\misc\OgreVisibilitySceneManager.def"
-				GenerateDebugInformation="FALSE"
+				GenerateDebugInformation="TRUE"
 				SubSystem="2"
 				OptimizeReferences="2"
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionCullingSceneManager.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionCullingSceneManager.cpp	(revision 2258)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionCullingSceneManager.cpp	(revision 2278)
@@ -1928,7 +1928,6 @@
 
 		ivReader.buildTree(this, node);
-		
 		ivReader.collapse();
-
+		
 		std::stringstream d; 
 		d << "loaded " << filename << " in " << timer->getMilliseconds() * 1e-3 << " secs";
@@ -1937,7 +1936,7 @@
 		PlatformManager::getSingleton().destroyTimer(timer);
 
-		//-- bake into static geometry
 		/*if (USE_STATIC_GEOMETRY)
 		{
+			//-- bake into static geometry
 			BakeSceneIntoStaticGeometry("staticVienna", "Vienna");
 		}*/
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOctreeHierarchyInterface.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOctreeHierarchyInterface.cpp	(revision 2259)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOctreeHierarchyInterface.cpp	(revision 2278)
@@ -58,8 +58,11 @@
 	Octree *octree = static_cast<Octree *>(root);
 
-	int mask = (int) (rand() * 8);
+	int mask = (int) (rand() * 8.0f);
 	
 	// random decision
-	Octree *child = octree->mChildren[mask & 1][mask & 2][mask & 3];
+	Octree *child = NULL;
+	
+	while (!child)
+		child = octree->mChildren[(mask & 4) / 4][(mask & 2) / 2][mask & 1];
 
 	return GetRandomLeaf(child);
@@ -173,27 +176,29 @@
 	{
 		octant->setOctreeFullyVisible(octant->isOctreeVisible());
+			
 		return;
 	}
 
-	octant->setOctreeFullyVisible(false);
-
+	octant->setOctreeFullyVisible(true);
+	
 	Octree *nextChild;
-
+	//LogManager::getSingleton().logMessage("***");
 	for (int i = 0; i < 8; ++ i)
 	{
-		int x = i & 4;
-		int y = i & 2;
+		int x = (i & 4) / 4;
+		int y = (i & 2) / 2;
 		int z = i & 1;
+
+		//std::stringstream d; d << "x " << x << " y " << y << " z " << z;
+		//LogManager::getSingleton().logMessage(d.str());
 
 		if ((nextChild = octant->mChildren[x][y][z]) != NULL)
 		{
 			DetermineFullVisibility(nextChild);
+			// this leaf is not fully visible => break
 			if (!nextChild->isOctreeFullyVisible())
-			return;
+				octant->setOctreeFullyVisible(false);
 		}
 	}
-
-	// all children fully visible => pull up
-	octant->setOctreeFullyVisible(true);
 }
 //-----------------------------------------------------------------------
@@ -295,5 +300,4 @@
 	}
 
-	//static_cast<OctreeSceneManager *>(mSceneManager)->getBoxes()->push_back(box);
 	static_cast<OctreeSceneManager *>(mSceneManager)->getBoxes()->push_back(box);
 }
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgrePlatformHierarchyInterface.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgrePlatformHierarchyInterface.cpp	(revision 2254)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgrePlatformHierarchyInterface.cpp	(revision 2278)
@@ -95,5 +95,4 @@
 	static RenderOperation ro;
 
-	//LogManager::getSingleton().logMessage("here66");
 	SolidBoundingBox *solidBox = GetSolidBoundingBox();
 	
@@ -182,5 +181,5 @@
 	GtpVisibility::HierarchyNode *node, 
 	const bool wasVisible) 
-{//LogManager::getSingleton().logMessage("here6960");
+{
 	// get next available test id
 	GtpVisibility::OcclusionQuery *query = GetNextOcclusionQuery();
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjReader.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjReader.vcproj	(revision 2254)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjReader.vcproj	(revision 2278)
@@ -72,4 +72,12 @@
 			<Tool
 				Name="VCCLCompilerTool"
+				Optimization="3"
+				GlobalOptimizations="TRUE"
+				InlineFunctionExpansion="2"
+				EnableIntrinsicFunctions="TRUE"
+				FavorSizeOrSpeed="1"
+				OmitFramePointers="TRUE"
+				EnableFiberSafeOptimizations="TRUE"
+				OptimizeForWindowsApplication="TRUE"
 				AdditionalIncludeDirectories="&quot;$(OGRE_PATH)\OgreMain\include&quot;;&quot;$(OGRE_PATH)\Dependencies\include&quot;;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;..\include;..\..\..\Preprocessing\src"
 				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;OBJREADER_EXPORTS;GTP_VISIBILITY_MODIFIED_OGRE;GAMETOOLS_ILLUMINATION_MODULE"
@@ -96,5 +104,6 @@
 				Name="VCMIDLTool"/>
 			<Tool
-				Name="VCPostBuildEventTool"/>
+				Name="VCPostBuildEventTool"
+				CommandLine="copy $(OutDir)\$(TargetFileName) &quot;$(OGRE_PATH)\Samples\Common\bin\$(ConfigurationName)&quot;"/>
 			<Tool
 				Name="VCPreBuildEventTool"/>