Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreSceneNodeHierarchyInterface.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreSceneNodeHierarchyInterface.cpp	(revision 370)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreSceneNodeHierarchyInterface.cpp	(revision 2280)
@@ -137,6 +137,6 @@
 //-----------------------------------------------------------------------
 void SceneNodeHierarchyInterface::GetNodeGeometryList(GtpVisibility::HierarchyNode *node,	
-											  GtpVisibility::GeometryVector *geometryList, 
-											  bool includeChildren)
+													  GeometryVector *geometryList, 
+													  bool includeChildren)
 {
 	SceneNode::ObjectIterator objIt = 
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreBvHierarchyInterface.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreBvHierarchyInterface.cpp	(revision 2258)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreBvHierarchyInterface.cpp	(revision 2280)
@@ -138,5 +138,5 @@
 
 void BvHierarchyInterface::GetNodeGeometryList(GtpVisibility::HierarchyNode *node, 
-												   GtpVisibility::GeometryVector *geometryList, 
+												   GeometryVector *geometryList, 
 												   bool includeChildren) 
 {
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreBvHierarchySceneNode.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreBvHierarchySceneNode.cpp	(revision 1320)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreBvHierarchySceneNode.cpp	(revision 2280)
@@ -136,5 +136,5 @@
 	}
 
-	void BvHierarchySceneNode::getGeometryList(GtpVisibility::GeometryVector *geometryList)
+	void BvHierarchySceneNode::getGeometryList(GeometryVector *geometryList)
 	{
 		SceneNode::ObjectIterator objIt = getAttachedObjectIterator();
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreKdTreeHierarchyInterface.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreKdTreeHierarchyInterface.cpp	(revision 2066)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreKdTreeHierarchyInterface.cpp	(revision 2280)
@@ -136,5 +136,5 @@
 
 void KdTreeHierarchyInterface::GetNodeGeometryList(GtpVisibility::HierarchyNode *node, 
-												   GtpVisibility::GeometryVector *geometryList, 
+												   GeometryVector *geometryList, 
 												   bool includeChildren) 
 {
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreSceneContentGenerator.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreSceneContentGenerator.cpp	(revision 2278)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreSceneContentGenerator.cpp	(revision 2280)
@@ -54,5 +54,5 @@
 					 const Quaternion &orientation, const String& objName)
 {
-	char name[25];
+	char name[300];
 
 	sprintf(name, "%s Entity%d", objName.c_str(), GetObjectCount());
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgrePlatformQueryManager.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgrePlatformQueryManager.cpp	(revision 2255)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgrePlatformQueryManager.cpp	(revision 2280)
@@ -8,17 +8,22 @@
 #include "OgrePlatformHierarchyInterface.h"
 
+
+
 namespace Ogre {
 
 //----------------------------------------------------------------------- 
-PlatformQueryManager::PlatformQueryManager(GtpVisibility::HierarchyInterface *hierarchyInterface, 
+/*
+PlatformQueryManager::PlatformQueryManager(PlatformHierarchyInterface *hierarchyInterface, 
 										   Viewport *vp, 
 										   int queryModes):
-QueryManager(hierarchyInterface, queryModes), 
+//QueryManager(hierarchyInterface, queryModes), 
+QueryManager(queryModes),
 mViewport(vp), 
-mWasInitialised(false)
-{
-}
-//-----------------------------------------------------------------------
-bool PlatformQueryManager::ShootRay(const Ray &ray, 
+mWasInitialised(false),
+mHierarchyInterface(hierarchyInterface)
+{
+}*/
+//-----------------------------------------------------------------------
+/*bool PlatformQueryManager::ShootRay(const Ray &ray, 
 									std::vector<Mesh *> *visibleMeshes, 
 									bool isGlobalLine)
@@ -26,13 +31,13 @@
     // run OGRE ray shooting query
     return false;
-}
+}*/
 //-----------------------------------------------------------------------
 void PlatformQueryManager::ComputeFromPointVisibility(
-					const Vector3 &point,
-					GtpVisibility::NodeInfoContainer *visibleNodes,
-					GtpVisibility::MeshInfoContainer *visibleGeometry,
-					GtpVisibility::PatchInfoContainer *visiblePatches,
-					const bool relativeVisibility,
-					const bool approximateVisibility)
+											const Vector3 &point,
+											NodeInfoContainer *visibleNodes,
+											MeshInfoContainer *visibleGeometry,
+											PatchInfoContainer *visiblePatches,
+											const bool relativeVisibility,
+											const bool approximateVisibility)
 {
 	SceneManager *sm =
@@ -105,7 +110,7 @@
 void PlatformQueryManager::ComputeCameraVisibility(
 									const Camera &camera,
-									GtpVisibility::NodeInfoContainer *visibleNodes,
-									GtpVisibility::MeshInfoContainer *visibleGeometry,
-									GtpVisibility::PatchInfoContainer *visiblePatches,
+									NodeInfoContainer *visibleNodes,
+									MeshInfoContainer *visibleGeometry,
+									PatchInfoContainer *visiblePatches,
 									const bool relativeVisibility,
 									const bool approximateVisibility)
@@ -162,6 +167,6 @@
 //-----------------------------------------------------------------------
 void PlatformQueryManager::CollectItemBufferResults(
-				GtpVisibility::MeshInfoContainer *visibleGeometry,
-				GtpVisibility::PatchInfoContainer *visiblePatches)
+				MeshInfoContainer *visibleGeometry,
+				PatchInfoContainer *visiblePatches)
 {
 	int dimx = 0;
@@ -205,6 +210,6 @@
 //-----------------------------------------------------------------------
 void PlatformQueryManager::InitItemBuffer(
-				GtpVisibility::MeshInfoContainer *visibleGeometry,
-				GtpVisibility::PatchInfoContainer *visiblePatches)
+				MeshInfoContainer *visibleGeometry,
+				PatchInfoContainer *visiblePatches)
 {
 	if (mWasInitialised)
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreKdTree.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreKdTree.cpp	(revision 2069)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreKdTree.cpp	(revision 2280)
@@ -1707,5 +1707,5 @@
 
 //-------------------------------------------------------------------------
-void KdTree::Leaf::getGeometryList(GtpVisibility::GeometryVector *geometryList)
+void KdTree::Leaf::getGeometryList(GeometryVector *geometryList)
 {
 	KdRenderableList::iterator it = mKdRenderables.begin();
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/Plugin_VisibilitySceneManager.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/Plugin_VisibilitySceneManager.vcproj	(revision 2278)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/Plugin_VisibilitySceneManager.vcproj	(revision 2280)
@@ -282,6 +282,6 @@
 		<Configuration
 			Name="Release Internal|Win32"
-			OutputDirectory="Release"
-			IntermediateDirectory="Release"
+			OutputDirectory="..\lib\Release"
+			IntermediateDirectory="..\obj\Release"
 			ConfigurationType="2"
 			CharacterSet="2"
@@ -293,5 +293,5 @@
 				InlineFunctionExpansion="2"
 				EnableIntrinsicFunctions="TRUE"
-				ImproveFloatingPointConsistency="TRUE"
+				ImproveFloatingPointConsistency="FALSE"
 				FavorSizeOrSpeed="1"
 				OmitFramePointers="TRUE"
@@ -300,5 +300,5 @@
 				OptimizeForWindowsApplication="TRUE"
 				AdditionalIncludeDirectories="&quot;$(OGRE_PATH)\PlugIns\OctreeSceneManager\include&quot;;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;&quot;$(OGRE_PATH)\Dependencies\include\CEGUI&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\include&quot;;&quot;$(OGRE_PATH)\OgreMain\include&quot;;&quot;$(OGRE_PATH)\Dependencies\include&quot;;..\include;..\..\..\OnlineCullingCHC\include;..\..\..\Preprocessing\src;..\..\..\..\..\Lib\Vis\OnlineCullingCHC\IVReader\include;..\..\..\..\..\Lib\Vis\OnlineCullingCHC\ObjReader\include"
-				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;GTP_VISIBILITY_MODIFIED_OGRE;PLUGIN_KD_TERRAIN_EXPORTS"
+				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;GTP_VISIBILITY_MODIFIED_OGRE;GAMETOOLS_ILLUMINATION_MODULE;PLUGIN_KD_TERRAIN_EXPORTS"
 				StringPooling="TRUE"
 				RuntimeLibrary="2"
@@ -322,5 +322,5 @@
 				AdditionalLibraryDirectories="&quot;$(OGRE_PATH)\PlugIns\OctreeSceneManager\bin\Release&quot;;&quot;$(OGRE_PATH)\OgreMain\lib\Release&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\lib&quot;;..\..\GtpVisibility\lib\Release;..\..\lib\Release;..\lib\Release;&quot;$(OGRE_PATH)\Dependencies\lib\Release&quot;;..\..\..\Preprocessing\lib\Release;..\..\..\..\..\..\..\NonGTP\Xerces\xercesc\lib;..\..\..\Preprocessing\src\GL;&quot;$(CG_LIB_PATH)&quot;;..\..\..\..\..\..\..\NonGTP\Zlib\lib;..\..\..\..\..\Lib\Vis\Preprocessing\MultiLevelRayTracing\RTWorld\Release;..\..\..\..\..\Lib\Vis\Preprocessing\MultiLevelRayTracing\RTScene\Release;..\..\..\..\..\Lib\Vis\OnlineCullingCHC\IVReader\lib\Release;..\..\..\..\..\Lib\Vis\OnlineCullingCHC\ObjReader\lib\Release"
 				ModuleDefinitionFile="..\misc\OgreVisibilitySceneManager.def"
-				GenerateDebugInformation="TRUE"
+				GenerateDebugInformation="FALSE"
 				SubSystem="2"
 				OptimizeReferences="2"
@@ -635,4 +635,7 @@
 				RelativePath="..\include\OgreVisibilityOptionsManager.h">
 			</File>
+			<File
+				RelativePath="..\include\VisibilityMesh.h">
+			</File>
 		</Filter>
 		<Filter
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionCullingSceneManager.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionCullingSceneManager.cpp	(revision 2278)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionCullingSceneManager.cpp	(revision 2280)
@@ -12,10 +12,8 @@
 #include <OgreIteratorWrappers.h>
 #include <OgreHeightmapTerrainPageSource.h>
-//#include "Containers.h"
 #include "ViewCellsManager.h"
 #include <OgreConfigFile.h>
 #include "OgreTypeConverter.h"
 #include "OgreMeshInstance.h"
-//#include "common.h"
 #include "OgreBoundingBoxConverter.h"
 #include <OgreManualObject.h>
@@ -1160,5 +1158,5 @@
 	if (key == "HierarchyInterface")
 	{
-		* static_cast<GtpVisibility::HierarchyInterface **>(val) = mHierarchyInterface;
+		* static_cast<PlatformHierarchyInterface **>(val) = mHierarchyInterface;
 		return true;
 	}
@@ -1643,5 +1641,5 @@
 			LoadViewCells(filename, mObjects, false, &bconverter);
 	
-	Ogre::LogManager::getSingleton().logMessage("******** view cells loaded *********");
+	LogManager::getSingleton().logMessage("******** view cells loaded *********");
 
 	// objects are set to invisible initially
@@ -2027,5 +2025,5 @@
 		return;
 	}
-
+Ogre::LogManager::getSingleton().logMessage("here99");
     Root::getSingleton()._setCurrentSceneManager(this);
 	mActiveQueuedRenderableVisitor->targetSceneMgr = this;
@@ -2227,7 +2225,7 @@
 	mVisibilityManager->SetQueryManager(queryManager);
 
-	GtpVisibility::NodeInfoContainer visibleNodes;
-	GtpVisibility::MeshInfoContainer visibleGeometry;
-	GtpVisibility::PatchInfoContainer visiblePatches;
+	NodeInfoContainer visibleNodes;
+	MeshInfoContainer visibleGeometry;
+	PatchInfoContainer visiblePatches;
 
 	if (fromPoint)
@@ -2271,5 +2269,5 @@
 	if (!nodeVisibility)
 	{
-		GtpVisibility::MeshInfoContainer::iterator geomIt, geomIt_end = visibleGeometry.end();
+		MeshInfoContainer::iterator geomIt, geomIt_end = visibleGeometry.end();
 
 		for (geomIt = visibleGeometry.begin(); geomIt != geomIt_end; ++geomIt)
@@ -2294,5 +2292,5 @@
 		//-- apply queries on node level
 
-		GtpVisibility::NodeInfoContainer::iterator nodesIt, nodesIt_end = visibleNodes.end();
+		NodeInfoContainer::iterator nodesIt, nodesIt_end = visibleNodes.end();
 
 		for (nodesIt = visibleNodes.begin(); nodesIt != nodesIt_end; ++ nodesIt)
@@ -2433,8 +2431,8 @@
 //-----------------------------------------------------------------------
 void OcclusionCullingSceneManager::AddVisibleMeshGeometryToQueue(
-						const GtpVisibility::MeshInfoContainer &visibleGeometry,
+						const MeshInfoContainer &visibleGeometry,
 						Camera *cam)
 {
-	GtpVisibility::MeshInfoContainer::const_iterator geomIt, geomIt_end = visibleGeometry.end();
+	MeshInfoContainer::const_iterator geomIt, geomIt_end = visibleGeometry.end();
 
 	for (geomIt = visibleGeometry.begin(); geomIt != geomIt_end; ++geomIt)
@@ -2456,5 +2454,5 @@
 //-----------------------------------------------------------------------
 void OcclusionCullingSceneManager::AddVisibleNodeGeometryToQueue(
-						const GtpVisibility::NodeInfoContainer &visibleNodes,
+						const NodeInfoContainer &visibleNodes,
 						Camera *cam)
 {
@@ -2462,5 +2460,5 @@
 	//-- apply queries on node level
 
-	GtpVisibility::NodeInfoContainer::const_iterator nodesIt, nodesIt_end = visibleNodes.end();
+	NodeInfoContainer::const_iterator nodesIt, nodesIt_end = visibleNodes.end();
 
 	for (nodesIt = visibleNodes.begin(); nodesIt != nodesIt_end; ++ nodesIt)
@@ -2529,7 +2527,7 @@
 	mVisibilityManager->SetQueryManager(queryManager);
 
-	GtpVisibility::NodeInfoContainer visibleNodes;
-	GtpVisibility::MeshInfoContainer visibleGeometry;
-	GtpVisibility::PatchInfoContainer visiblePatches;
+	NodeInfoContainer visibleNodes;
+	MeshInfoContainer visibleGeometry;
+	PatchInfoContainer visiblePatches;
 
 	if (mUseFromPointQueries)
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreVisibilitySceneManagerDll.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreVisibilitySceneManagerDll.cpp	(revision 1320)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreVisibilitySceneManagerDll.cpp	(revision 2280)
@@ -29,9 +29,12 @@
 #include <OgreRoot.h>
 #include <OgreLogManager.h>
+#include <fstream>
 
 #include "OgreBvHierarchySceneManager.h"
 #include "VisibilityManager.h"
 #include "VisibilityEnvironment.h"
-		
+#include "CullingManager.h"
+
+
 GtpVisibility::VisibilityEnvironment *visEnv;
 GtpVisibility::VisibilityManager *visManager;
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOctreeHierarchyInterface.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOctreeHierarchyInterface.cpp	(revision 2278)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOctreeHierarchyInterface.cpp	(revision 2280)
@@ -189,5 +189,5 @@
 		int y = (i & 2) / 2;
 		int z = i & 1;
-
+		Ogre::LogManager::getSingleton().logMessage("y");
 		//std::stringstream d; d << "x " << x << " y " << y << " z " << z;
 		//LogManager::getSingleton().logMessage(d.str());
@@ -304,5 +304,5 @@
 //-----------------------------------------------------------------------
 void OctreeHierarchyInterface::GetNodeGeometryList(GtpVisibility::HierarchyNode *node,
-												   GtpVisibility::GeometryVector *geometryList, 
+												   GeometryVector *geometryList, 
 												   bool includeChildren)
 {
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreKdTreeSceneNode.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreKdTreeSceneNode.cpp	(revision 1203)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreKdTreeSceneNode.cpp	(revision 2280)
@@ -136,5 +136,5 @@
 	}
 
-	void KdTreeSceneNode::getGeometryList(GtpVisibility::GeometryVector *geometryList)
+	void KdTreeSceneNode::getGeometryList(GeometryVector *geometryList)
 	{
 		SceneNode::ObjectIterator objIt = getAttachedObjectIterator();
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreBvHierarchy.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreBvHierarchy.cpp	(revision 2069)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreBvHierarchy.cpp	(revision 2280)
@@ -1713,5 +1713,5 @@
 
 //-------------------------------------------------------------------------
-void BvHierarchy::Leaf::getGeometryList(GtpVisibility::GeometryVector *geometryList)
+void BvHierarchy::Leaf::getGeometryList(GeometryVector *geometryList)
 {
 	BvhRenderableList::iterator it = mBvhRenderables.begin();
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionQueriesQueryManager.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionQueriesQueryManager.cpp	(revision 2255)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionQueriesQueryManager.cpp	(revision 2280)
@@ -1,8 +1,9 @@
-#include "OgreOcclusionQueriesQueryManager.h"
 #include <OgreLogManager.h>
 #include <OgreStringConverter.h>
 #include <vector>
 #include <OgreSubEntity.h>
-#include "OgrePlatformHierarchyInterface.h"
+
+#include "OgreOcclusionQueriesQueryManager.h"
+//#include "OgrePlatformHierarchyInterface.h"
 #include "OgreOcclusionCullingSceneManager.h"
 #include "VisibilityEnvironment.h"
@@ -13,19 +14,19 @@
 
 //----------------------------------------------------------------------- 
-OcclusionQueriesQueryManager::OcclusionQueriesQueryManager(
-							GtpVisibility::HierarchyInterface *hierarchyInterface, 
+/*OcclusionQueriesQueryManager::OcclusionQueriesQueryManager(
+							PlatformHierarchyInterface *hierarchyInterface, 
 							Viewport *vp,
 							int queryModes,
-							int itemBufferMode):
-PlatformQueryManager(hierarchyInterface, vp, queryModes), 
+							int itemBufferMode)
+:PlatformQueryManager(hierarchyInterface, vp, queryModes), 
 mItemBufferMode(itemBufferMode)
 {
-}
+}*/
 //-----------------------------------------------------------------------
 void OcclusionQueriesQueryManager::ComputeCameraVisibility(
 											const Camera &camera,
-											GtpVisibility::NodeInfoContainer *visibleNodes,
-											GtpVisibility::MeshInfoContainer *visibleGeometry,
-											GtpVisibility::PatchInfoContainer *visiblePatches,
+											NodeInfoContainer *visibleNodes,
+											MeshInfoContainer *visibleGeometry,
+											PatchInfoContainer *visiblePatches,
 											const bool relativeVisibility,
 											const bool approximateVisibility)
@@ -119,5 +120,5 @@
 
 	// vector for storing entities of meshes
-	GtpVisibility::GeometryVector geometryList;
+	GeometryVector geometryList;
 	
 	// store geometry of the hierarchy nodes in a geometry list
@@ -131,8 +132,8 @@
 	
 	// geometry list iterator
-	GtpVisibility::GeometryVector::iterator geometryIt, geometryIt_end = geometryList.end();
+	GeometryVector::iterator geometryIt, geometryIt_end = geometryList.end();
 
 	// vector for storing subentities of meshes
-	GtpVisibility::PatchVector patchList;
+	PatchVector patchList;
 
 	// store patchges of the geometries in a patch list
@@ -145,5 +146,5 @@
 	}
 
-	GtpVisibility::PatchVector::iterator patchIt, patchIt_end = patchList.end();
+	PatchVector::iterator patchIt, patchIt_end = patchList.end();
 
 	// to obtain the correct number of projected pixels, depth write must be disabled
@@ -183,5 +184,5 @@
 				const int projPixels = 1;
 
-				visibleNodes->push_back(GtpVisibility::NodeInfo(*nodeIt, visPixels, projPixels));
+				visibleNodes->push_back(NodeInfo(*nodeIt, visPixels, projPixels));
 				queryList[i].push_back(NULL);
 			}
@@ -207,5 +208,5 @@
 					const int projPixels = 1;
 
-					visibleGeometry->push_back(GtpVisibility::MeshInfo(*geometryIt, visPixels, projPixels));
+					visibleGeometry->push_back(MeshInfo(*geometryIt, visPixels, projPixels));
 				}
 				else
@@ -229,5 +230,5 @@
 					const int projPixels = 1;
 
-					visiblePatches->push_back(GtpVisibility::PatchInfo(*patchIt, visPixels, projPixels));
+					visiblePatches->push_back(PatchInfo(*patchIt, visPixels, projPixels));
 				}
 				else
@@ -304,7 +305,7 @@
 void OcclusionQueriesQueryManager::ComputeFromPointVisibility(
 								const Vector3 &point,
-								GtpVisibility::NodeInfoContainer *visibleNodes,
-								GtpVisibility::MeshInfoContainer *visibleGeometry,
-								GtpVisibility::PatchInfoContainer *visiblePatches,
+								NodeInfoContainer *visibleNodes,
+								MeshInfoContainer *visibleGeometry,
+								PatchInfoContainer *visiblePatches,
 								const bool relativeVisibility,
 								const bool approximateVisibility)
@@ -336,5 +337,5 @@
 						GtpVisibility::QueryList::iterator &projQueryIt,
 						GtpVisibility::NodeVector *nodeList,  
-						GtpVisibility::NodeInfoContainer *visibleNodes,
+						NodeInfoContainer *visibleNodes,
 						bool relativeVisibility)
 {
@@ -368,6 +369,5 @@
 		if (visiblePixels > 0)
 		{
-			visibleNodes->push_back(
-				GtpVisibility::NodeInfo(*nodeIt, visiblePixels, projectedPixels));
+			visibleNodes->push_back(NodeInfo(*nodeIt, visiblePixels, projectedPixels));
 		}
 	}
@@ -376,8 +376,8 @@
 void OcclusionQueriesQueryManager::CollectRelativeGeometryVisibilityForItemBuffer(
 									GtpVisibility::QueryList::iterator &projQueryIt,
-									GtpVisibility::GeometryVector *geometryList, 
-									GtpVisibility::MeshInfoContainer *visibleGeometry)
-{
-	GtpVisibility::GeometryVector::iterator geometryIt;
+									GeometryVector *geometryList, 
+									MeshInfoContainer *visibleGeometry)
+{
+	GeometryVector::iterator geometryIt;
 
 	//-- queries for geometry
@@ -400,8 +400,8 @@
 void OcclusionQueriesQueryManager::CollectRelativePatchVisibilityForItemBuffer(
 									GtpVisibility::QueryList::iterator &projQueryIt,
-									GtpVisibility::PatchVector *patchList, 
-									GtpVisibility::PatchInfoContainer *visiblePatches)
-{
-	GtpVisibility::PatchVector::iterator patchIt;
+									PatchVector *patchList, 
+									PatchInfoContainer *visiblePatches)
+{
+	PatchVector::iterator patchIt;
 
 	//-- queries for geometry
@@ -425,9 +425,9 @@
 							GtpVisibility::QueryList::iterator &visQueryIt, 
 							GtpVisibility::QueryList::iterator &projQueryIt,
-							GtpVisibility::GeometryVector *geometryList, 
-							GtpVisibility::MeshInfoContainer *visibleGeometry,
+							GeometryVector *geometryList, 
+							MeshInfoContainer *visibleGeometry,
 							bool relativeVisibility)
 {
-	GtpVisibility::GeometryVector::iterator geometryIt;
+	GeometryVector::iterator geometryIt;
 
 	//-- queries for geometry
@@ -451,6 +451,5 @@
 		if (visiblePixels > 0)
 		{			 
-			visibleGeometry->push_back(GtpVisibility::MeshInfo(*geometryIt, visiblePixels, 
-				projectedPixels));
+			visibleGeometry->push_back(MeshInfo(*geometryIt, visiblePixels, projectedPixels));
 		}
 	}
@@ -460,9 +459,9 @@
 							GtpVisibility::QueryList::iterator &visQueryIt, 
 							GtpVisibility::QueryList::iterator &projQueryIt,
-							GtpVisibility::PatchVector *patchList, 
-							GtpVisibility::PatchInfoContainer *visiblePatches,
+							PatchVector *patchList, 
+							PatchInfoContainer *visiblePatches,
 							bool relativeVisibility)
 {
-	GtpVisibility::PatchVector::iterator patchIt;
+	PatchVector::iterator patchIt;
 
 	//-- queries for patch
@@ -486,6 +485,6 @@
 		if (visiblePixels > 0)
 		{			 
-			visiblePatches->push_back(GtpVisibility::PatchInfo(*patchIt, visiblePixels, 
-				projectedPixels));
+			visiblePatches->push_back(
+				PatchInfo(*patchIt, visiblePixels, projectedPixels));
 		}
 	}
@@ -493,12 +492,12 @@
 //-----------------------------------------------------------------------
 void  OcclusionQueriesQueryManager::RemoveDuplicateNodes(
-					GtpVisibility::NodeInfoContainer *visibleNodes)
+					NodeInfoContainer *visibleNodes)
 {
 	sort(visibleNodes->begin(), visibleNodes->end());
 
-	GtpVisibility::NodeInfoContainer::iterator visibleNodesIt,
+	NodeInfoContainer::iterator visibleNodesIt,
 		visibleNodesIt_end = visibleNodes->end();
 	
-	GtpVisibility::NodeInfo *nodeInfo = NULL;
+	NodeInfo *nodeInfo = NULL;
 
 	for (visibleNodesIt = visibleNodes->begin(); visibleNodesIt != visibleNodesIt_end; 
@@ -521,12 +520,12 @@
 //-----------------------------------------------------------------------
 void  OcclusionQueriesQueryManager::RemoveDuplicateGeometry(
-				GtpVisibility::MeshInfoContainer *visibleGeometry)
+				MeshInfoContainer *visibleGeometry)
 {
 	sort(visibleGeometry->begin(), visibleGeometry->end());
 	
-	GtpVisibility::MeshInfoContainer::iterator visibleGeomIt,
+	MeshInfoContainer::iterator visibleGeomIt,
 			visibleGeomIt_end = visibleGeometry->end();
 
-	GtpVisibility::MeshInfo *geomInfo = NULL;
+	MeshInfo *geomInfo = NULL;
 
 	for (visibleGeomIt = visibleGeometry->begin(); visibleGeomIt != visibleGeomIt_end; 
@@ -549,12 +548,12 @@
 //-----------------------------------------------------------------------
 void  OcclusionQueriesQueryManager::RemoveDuplicatePatches(
-				GtpVisibility::PatchInfoContainer *visiblePatches)
+				PatchInfoContainer *visiblePatches)
 {
 	sort(visiblePatches->begin(), visiblePatches->end());
 	
-	GtpVisibility::PatchInfoContainer::iterator visiblePatchIt,
+	PatchInfoContainer::iterator visiblePatchIt,
 			visiblePatchIt_end = visiblePatches->end();
 
-	GtpVisibility::PatchInfo *patchInfo = NULL;
+	PatchInfo *patchInfo = NULL;
 
 	for (visiblePatchIt = visiblePatches->begin(); visiblePatchIt != visiblePatchIt_end; 
@@ -577,11 +576,11 @@
 //-----------------------------------------------------------------------
 void OcclusionQueriesQueryManager::GetNodePatchList(GtpVisibility::HierarchyNode *node,	
-					 			 					GtpVisibility::PatchVector *patchList)
-{
-	GtpVisibility::GeometryVector geomList;
+					 			 					PatchVector *patchList)
+{
+	GeometryVector geomList;
 	mHierarchyInterface->GetNodeGeometryList(node, &geomList, false);
 
 	// geometry list iterator
-	GtpVisibility::GeometryVector::iterator geomIt, geomIt_end = geomList.end();
+	GeometryVector::iterator geomIt, geomIt_end = geomList.end();
 
 	for (geomIt = geomList.begin(); geomIt != geomIt_end; ++geomIt)