Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/diffscene.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/diffscene.material	(revision 1629)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/diffscene.material	(revision 2284)
@@ -186,5 +186,5 @@
 			emissive 0 0 0
 			
-			//RenderTechnique DepthShadowReciever
+			//RenderTechnique DepthShadowReceiver
 			//{
 				
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/difflab.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/difflab.material	(revision 2271)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/difflab.material	(revision 2284)
@@ -116,9 +116,9 @@
 		    {
 			
-			// RenderTechnique CausticReciever
+			// RenderTechnique CausticReceiver
 			// {
 			//	max_caster_count	1					
 			// }
-			 RenderTechnique DepthShadowReciever
+			 RenderTechnique DepthShadowReceiver
 			 {
 					max_light_count 3
@@ -196,9 +196,9 @@
 		    {
 			
-			// RenderTechnique CausticReciever
+			// RenderTechnique CausticReceiver
 			// {
 			//	max_caster_count	1					
 			// }
-			 RenderTechnique DepthShadowReciever
+			 RenderTechnique DepthShadowReceiver
 			 {
 					max_light_count 3
@@ -253,9 +253,9 @@
 		{
 			
-			//RenderTechnique CausticReciever
+			//RenderTechnique CausticReceiver
 			//{
 			//	max_caster_count	1					
 			//}
-			RenderTechnique DepthShadowReciever
+			RenderTechnique DepthShadowReceiver
 			{
 					max_light_count 3
@@ -296,9 +296,9 @@
 		{
 			
-			//RenderTechnique CausticReciever
+			//RenderTechnique CausticReceiver
 			//{
 			//	max_caster_count	1					
 			//}
-			RenderTechnique DepthShadowReciever
+			RenderTechnique DepthShadowReceiver
 			{
 					max_light_count 3
@@ -357,9 +357,9 @@
 		{
 			
-			//RenderTechnique CausticReciever
+			//RenderTechnique CausticReceiver
 			//{
 			//	max_caster_count	1					
 			//}
-			RenderTechnique DepthShadowReciever
+			RenderTechnique DepthShadowReceiver
 			{
 					max_light_count 3
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material	(revision 2266)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material	(revision 2284)
@@ -122,9 +122,9 @@
 			IllumTechniques
 			{			
-				RenderTechnique CausticReciever
+				RenderTechnique CausticReceiver
 				{
 					max_caster_count	10
 				}
-				//RenderTechnique DepthShadowReciever
+				//RenderTechnique DepthShadowReceiver
 				//{
 				
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/kupola.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/kupola.material	(revision 2266)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/kupola.material	(revision 2284)
@@ -12,9 +12,9 @@
 		{
 				
-			RenderTechnique CausticReciever
+			RenderTechnique CausticReceiver
 			{
 				max_caster_count	0
 			}
-			//RenderTechnique DepthShadowReciever
+			//RenderTechnique DepthShadowReceiver
 			//{
 			//	
@@ -65,9 +65,9 @@
 			{
 				
-				RenderTechnique CausticReciever
+				RenderTechnique CausticReceiver
 				{
 					max_caster_count	1
 				}
-				//RenderTechnique DepthShadowReciever
+				//RenderTechnique DepthShadowReceiver
 				//{
 				//	
@@ -170,5 +170,5 @@
 		{
 		
-			RenderTechnique CausticReciever
+			RenderTechnique CausticReceiver
 			{
 				max_caster_count	1
@@ -196,5 +196,5 @@
 			{
 		
-				RenderTechnique CausticReciever
+				RenderTechnique CausticReceiver
 				{
 					max_caster_count	1
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/colorcube.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/colorcube.material	(revision 2139)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/colorcube.material	(revision 2284)
@@ -9,9 +9,9 @@
 			{
 				
-				RenderTechnique CausticReciever
+				RenderTechnique CausticReceiver
 				{
 					max_caster_count	10					
 				}				
-				RenderTechnique DepthShadowReciever
+				RenderTechnique DepthShadowReceiver
 				{
 				   max_light_count 1
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPBasic/GTPBasic.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPBasic/GTPBasic.material	(revision 2271)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/GTPBasic/GTPBasic.material	(revision 2284)
@@ -186,5 +186,5 @@
 }
 
-material GTP/Basic/ShadowReciever/Depth_VSM
+material GTP/Basic/ShadowReceiver/Depth_VSM
 {
  technique
@@ -195,5 +195,5 @@
      IllumTechniques
      {
-        RenderTechnique DepthShadowReciever
+        RenderTechnique DepthShadowReceiver
 	{
 		max_light_count 1
@@ -211,5 +211,5 @@
 }
 
-material GTP/Basic/ShadowReciever/Distance_VSM
+material GTP/Basic/ShadowReceiver/Distance_VSM
 {
  technique
@@ -220,5 +220,5 @@
      IllumTechniques
      {
-        RenderTechnique DepthShadowReciever
+        RenderTechnique DepthShadowReceiver
 	{
 		max_light_count 1
@@ -238,5 +238,5 @@
 }
 
-material GTP/Basic/ShadowReciever/ShadowAccum
+material GTP/Basic/ShadowReceiver/ShadowAccum
 {
  technique
@@ -247,5 +247,5 @@
      IllumTechniques
      {
-        RenderTechnique DepthShadowReciever
+        RenderTechnique DepthShadowReceiver
 		{
 			max_light_count 1